Summary:        Extremely fast library for floating-point convolution
Name:           djbfft
Version:        0.76
Release:        0.lvn.4.4
License:        Distributable
Group:          Development/Libraries
URL:            http://cr.yp.to/djbfft.html
Source0:        http://cr.yp.to/djbfft/djbfft-0.76.tar.gz
Patch0:         %{name}-build.patch
Patch1:         %{name}-stdlib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  %{__perl}
Provides:       %{name}-devel = %{version}-%{release}

%description
djbfft is an extremely fast library for floating-point
convolution. The current version holds most of the speed records for
double-precision FFTs on general-purpose computers.
djbfft provides power-of-2 complex FFTs, real FFTs at twice the speed,
and fast multiplication of complex arrays. Single precision and double
precision are equally supported.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%{__perl} -pi -e "s|^gcc |%{__cc} $RPM_OPT_FLAGS -fPIC |" conf-cc
%{__perl} -pi -e 's|"lib"|"%{_lib}"|' hier.c
%{__perl} -pi -e 's|\b(djbfft\.a)\b|lib$1|' Makefile hier.c


%build
%ifarch i586
echo pentium > conf-opt
%endif
%ifarch i686
echo ppro > conf-opt
%endif
%ifarch x86_64 ia64
echo idea > conf-opt
%endif
echo $RPM_BUILD_ROOT%{_prefix} > conf-home
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -pm 755 $RPM_BUILD_ROOT{%{_includedir},%{_libdir}}
make setup


%check || :
make check
./accuracy
./accuracy2


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{_includedir}/*.h
%{_libdir}/libdjbfft.a


%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 0.76-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Tue Jul 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.76-0.lvn.4
- Build with -fPIC.
- Provide djbfft-devel.

* Wed Jun 23 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.76-0.lvn.3
- Fix libdir on 64-bit archs.

* Thu Jun 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.76-0.lvn.2
- Add patch to fix AMD64 build, thanks to Walter Müller (bug 175).
- Use the "idea" optimization for x86_64 and ia64 (was sparc).
- Run accuracy and accuracy2 in %%check.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.76-0.lvn.1
- First Fedora release.
